lkml.org 
[lkml]   [2019]   [Sep]   [6]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
From
Date
SubjectRe: [PATCH] soundwire: add back ACPI dependency
On Fri, Sep 6, 2019 at 12:45 PM Vinod Koul <vkoul@kernel.org> wrote:
> On 06-09-19, 12:02, Arnd Bergmann wrote:
> > On Fri, Sep 6, 2019 at 6:39 AM Vinod Koul <vkoul@kernel.org> wrote:
> > >
> > > On 05-09-19, 22:35, Arnd Bergmann wrote:
> > > > Soundwire gained a warning for randconfig builds without
> > > > CONFIG_ACPI during the linux-5.3-rc cycle:
> > > >
> > > > drivers/soundwire/slave.c:16:12: error: unused function 'sdw_slave_add' [-Werror,-Wunused-function]
> > > >
> > > > Add the CONFIG_ACPI dependency at the top level now.
> > >
> > > Did you run this yesterday or today. I have applied Srini's patches to
> > > add DT support for Soundwire couple of days back so we should not see
> > > this warning anymore
> >
> > This is on the latest linux-next, which is dated 20190904. As Stephen is
> > not releasing any more linux-next kernels until later this month, I'm
> > missing anything that came in afterwards.
>
> That is interesting as next-20190904 has the DT changes :) Can you share
> the config you used to get this.
>
> I have two instances of sdw_slave_add() in next-20190904:
>
> drivers/soundwire/slave.c: sdw_slave_add(bus, &id, acpi_fwnode_handle(adev));
> drivers/soundwire/slave.c: sdw_slave_add(bus, &id, of_fwnode_handle(node));

Ok, I remember now: the warning I got was actually on mainline.
It's fixed in linux-next, but from all I can tell, 5.3-rc7 is still broken.

Arnd

\
 
 \ /
  Last update: 2019-09-06 13:58    [W:0.043 / U:16.772 seconds]
©2003-2020 Jasper Spaans|hosted at Digital Ocean and TransIP|Read the blog|Advertise on this site